        !COMPILER-GENERATED INTERFACE MODULE: Thu Nov 13 16:37:32 2014
        MODULE HCFT__genmod
          INTERFACE 
            SUBROUTINE HCFT(GAMM,D2,D3,REREF,X,RHOU,EMA,TD,R,H12,H32,   &
     &H12U,CF,CD,NAB,NR)
              REAL(KIND=4) :: GAMM
              REAL(KIND=4) :: D2
              REAL(KIND=4) :: D3
              REAL(KIND=4) :: REREF
              REAL(KIND=4) :: X
              REAL(KIND=4) :: RHOU
              REAL(KIND=4) :: EMA
              REAL(KIND=4) :: TD
              REAL(KIND=4) :: R
              REAL(KIND=4) :: H12
              REAL(KIND=4) :: H32
              REAL(KIND=4) :: H12U
              REAL(KIND=4) :: CF
              REAL(KIND=4) :: CD
              INTEGER(KIND=4) :: NAB
              INTEGER(KIND=4) :: NR
            END SUBROUTINE HCFT
          END INTERFACE 
        END MODULE HCFT__genmod
